Last Comment Bug 658053 - Fix #ifdefs for disabling methodjit and tracejit
: Fix #ifdefs for disabling methodjit and tracejit
Status: RESOLVED FIXED
fixed-in-tracemonkey
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Bill McCloskey (:billm)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-18 13:47 PDT by Bill McCloskey (:billm)
Modified: 2011-06-19 19:16 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (2.56 KB, patch)
2011-05-18 13:47 PDT, Bill McCloskey (:billm)
dmandelin: review+
Details | Diff | Splinter Review

Description Bill McCloskey (:billm) 2011-05-18 13:47:59 PDT
Created attachment 533400 [details] [diff] [review]
patch

I found a few missing #ifdefs while working on the write barrier patch. We don't normally test with both the methodjit and the tracejit disabled.
Comment 1 Bill McCloskey (:billm) 2011-05-20 12:24:47 PDT
http://hg.mozilla.org/tracemonkey/rev/ac02d0b6aad1
Comment 2 Chris Leary [:cdleary] (not checking bugmail) 2011-05-23 14:17:53 PDT
cdleary-bot mozilla-central merge info:
http://hg.mozilla.org/mozilla-central/rev/ac02d0b6aad1
Comment 3 Justin Wood (:Callek) 2011-06-19 19:16:12 PDT
for posterity http://hg.mozilla.org/build/buildbotcustom/rev/babffe125f74 accidentally specified this bug.

It is actually Bug 658083

Note You need to log in before you can comment on or make changes to this bug.